# hline.h File Reference

`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/ui/widget.h>`

Go to the source code of this file.

## Defines

#define | GWEN_HLINE_FLAGS_EMPTY 0x00010000

## Functions

GWEN_WIDGET * | GWEN_HLine_new (GWEN_WIDGET *parent, GWEN_TYPE_UINT32 flags, const char *name, int x, int y, int width, int height)

## Define Documentation

#define GWEN_HLINE_FLAGS_EMPTY 0x00010000

## Function Documentation

GWEN_WIDGET* GWEN_HLine_new | ( | GWEN_WIDGET * | parent,
|  | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |